Subject: Re: bug#7789: cannot send smtpmail using gmail & tls on woe32

From: Jason Rumney <[email-masked]>
Date: Thu, 06 Jan 2011 07:09:47 +0800

Sam Steingold <[email-masked]> writes:

>> smtpmail works perfectly for me on MS-Windows, but I don't use tls.
>>
>> What port of gnutls did you use?
>
> native win32 port.

Try the Cygwin port. I did get openssl working once, and I think it was
with the Cygwin port, but it wasn't easy.

Windows changes its I/O buffering when commands are run with I/O
redirected, and if the commands are not designed to be used in a pipe or
are direct Unix ports input is often buffered indefinitely.  We have
done all we can at the Emacs end to improve this. Unfortunately Cygwin
programs often use a Cygwin specific solution for this which results in
an error message like "no tty found" when they are run from native
Emacs, but it is still worth trying.